//
//  main.cpp
//  Geotech Capacity-B&G (1982)
//
//  Created by Amin Rahmani on 2017-08-12.
//  Copyright © 2017 Amin Rahmani. All rights reserved.
//

#include <iostream>

#include "GeoCapac_B&G_1982.hpp"


int main () {
    
    B_G_1982 *cpt = new B_G_1982 [2];
    
    //6ft column - 70ft deep
    cpt[0].fileReader("cptData_for_test.txt");
    cpt[0].calc_Ic();
    cpt[0].getValues(10.0, 6.0, 70.0, 10.0, 3, 2, "II", "IIA");
    cpt[0].calcGeoCap();    
    cout << endl;

    //4ft column - 35ft deep
    cpt[1].fileReader("cptData.txt");
    cpt[1].calc_Ic();
    cpt[1].getValues(10.0, 6.0, 70.0, 10.0, 3, 2, "II", "IIA");
    cpt[1].calcGeoCap();
    cout << endl;
    
    delete [] cpt;
    
    return 0;
}
